Datasets - Update Parameters In Group
Updates the parameters values for the specified dataset from the specified workspace.
Note
We recommend using enhanced dataset metadata with this API call.
Important
- If you're using enhanced dataset metadata, refresh the dataset to apply the new parameter values.
- If you're not using enhanced dataset metadata, wait 30 minutes for the update data sources operation to complete, and then refresh the dataset.
Permissions
- The user must be the dataset owner.
- This API call can be called by a service principal profile. For more information see: Service principal profiles in Power BI Embedded.
Required Scope
Dataset.ReadWrite.All
Limitations
- Datasets created using the public XMLA endpoint aren't supported. To make changes to those data sources, the admin must use the Azure Analysis Services client library for Tabular Object Model.
- DirectQuery connections are only supported with enhanced dataset metadata.
- Datasets with Azure Analysis Services live connections aren't supported.
- Maximum of 100 parameters per request.
- All specified parameters must exist in the dataset.
- Parameters values should be of the expected type.
- The parameter list can't be empty or include duplicate parameters.
- Parameters names are case-sensitive.
- Parameter
IsRequiredmust have a non-empty value. - The parameter types
AnyandBinarycan't be updated.
POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/Default.UpdateParameters
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
|
|
group
|
path | True |
string uuid |
The workspace ID |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| updateDetails | True |
A list of dataset parameters to update |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample Request
POST https://api.powerbi.com/v1.0/myorg/groups/f089354e-8366-4e18-aea3-4cb4a3a50b48/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/Default.UpdateParameters
{
"updateDetails": [
{
"name": "DatabaseName",
"newValue": "NewDB"
},
{
"name": "MaxId",
"newValue": "5678"
}
]
}
Sample Response
Definitions
| Name | Description |
|---|---|
|
Update |
The update details for a Power BI dataset parameter |
|
Update |
An update request for a Power BI dataset parameter |
UpdateMashupParameterDetails
The update details for a Power BI dataset parameter
| Name | Type | Description |
|---|---|---|
| name |
string |
The parameter name |
| newValue |
string |
The new value for the parameter |
UpdateMashupParametersRequest
An update request for a Power BI dataset parameter
| Name | Type | Description |
|---|---|---|
| updateDetails |
A list of dataset parameters to update |